using UnityEngine;

public abstract class EnemyAction : ScriptableObject
{
    public abstract float CalculateUtility(EnemyDecisionContext ctx);
    public abstract void Execute(EnemyBrain brain, EnemyDecisionContext ctx);
}